#include <bits/stdc++.h>

using namespace std;

string trim(const string& s) {
    std::regex trimRegex("^\\s+|\\s+$");
    return std::regex_replace(s, trimRegex, "");
}

string readString(ifstream& f) {
    string s;
    if (!getline(f, s)) {
        s = "";
    }
    return trim(s);
}

vector<string> readTokens(string s, char delim) {
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) {
            if (tokens.size() == 0 || tokens.back() != "") {
                tokens.push_back("");
            }
        } else {
            tokens.back().push_back(c);
        }
    }
    return tokens;
}

void assert1(bool value) {
    if (!value) {
        cerr << "Невалиден отговор";
        cout << 0.0 << endl;
        exit(0);
    }
}

void assertNumber(string s) {
    assert1(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert1(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert1(s.size() != 0);
    assert1(s.size() == 1 || s[0] != '0');
}

vector<long long> longlongTokens(string line, char delim) {
    vector<string> a = readTokens(line, delim);
    vector<long long> b;
    for (string& s: a) {
        assertNumber(s);
        b.push_back(stoll(s));
    }
    return b;
}

int main (int argc, char** argv) {
    if (argc < 4) return 0;
    ifstream inS(argv[1]), solS(argv[2]), contS(argv[3]);
    // input; correct output; contestant's output

    vector<long long> author = longlongTokens(readString(solS), ' ');
    vector<long long> contestant = longlongTokens(readString(contS), ' ');

/*    if (author.size() != contestant.size()) {
        cerr << "Грешен брой числа";
        cout << 0.0 << endl;
        return 0;
    }*/

    sort(author.begin(), author.end());
    sort(contestant.begin(), contestant.end());

    if (author == contestant) {
        cerr << "Верен отговор";
        cout << 1.0 << endl;
    } else {
        cerr << "Грешен отговор";
        cout << 0.0 << endl;
    }

    return 0;
}
