#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        b.push_back(stoll(s));
    }
    return b;
}

vector<string> stringTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<string> b;
    for (string& s: a) {
        b.push_back(s);
    }
    return b;
}

int main() {
    vector<long long> line = longlongTokens(' ');
    assertEOF();

    assert(line.size() == 1);
    long long n = line[0];
    assert(1 <= n && n <= 1e14);

    long long tmp = n;
    for (long long i = 2; i*i <= tmp; i++) {
        if (tmp%i != 0) continue;

        cout << n-i << " ";

        while (tmp%i == 0) tmp/=i;
    }
    if (tmp != 1 && tmp != n) cout << n-tmp;
    cout << endl;

    return 0;
}
